Skip to main content
GET
/
v1
/
beacon
/
analyses
/
{analysisId}
Get a beacon analysis
curl --request GET \
  --url https://api.alpic.ai/v1/beacon/analyses/{analysisId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "targetUrl": "<string>",
  "status": "pending",
  "durationMs": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "report": {
    "schemaVersion": "<string>",
    "auditId": "<string>",
    "targetUrl": "<string>",
    "startedAt": "<string>",
    "completedAt": "<string>",
    "durationMs": 123,
    "results": [
      {
        "checkId": "<string>",
        "status": "pass",
        "message": "<string>",
        "severity": "error",
        "category": "connectivity",
        "scope": "server",
        "durationMs": 123,
        "skipReason": "<string>",
        "platforms": [
          "chatgpt"
        ],
        "details": [
          {
            "label": "<string>",
            "value": "<string>"
          }
        ],
        "hint": {
          "text": "<string>"
        }
      }
    ],
    "requiresAuth": true,
    "hasViewSupport": true,
    "isReadyForPlatform": {},
    "viewPlatforms": [
      "chatgpt"
    ],
    "widgetScreenshotKeys": {
      "chatgpt": "<string>",
      "claudeai": "<string>"
    },
    "widgetScreenshots": {
      "chatgpt": {
        "url": "<string>"
      },
      "claudeai": {
        "url": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Path Parameters

analysisId
string
required

The ID of the analysis

Response

The analysis details

id
string
required
targetUrl
string
required
status
enum<string>
required
Available options:
pending,
partial,
completed,
failed
durationMs
number | null
required
createdAt
string<date-time>
required
report
object
required